<%inherit file="base.html"/>
<%!
    import lazylibrarian
%>
<%def name="headerIncludes()">
    <div id="subhead_container">
        <div id="subhead_menu">
        </div>
    </div>
</%def>
<%def name="body()">
<form accept-charset="UTF-8" action="authorUpdate" method="post">
    <div class="configtable">
        <input name="utf8" type="hidden" value="&#x2713;" />
        <fieldset>
            <legend>${title}</legend>
            <div class="form-group">
                <input type="text" id="authorid" name="authorid" value="${config['AuthorID']}" class="hidden">
            </div>
            <div class="form-group">
                <label for="authorname" class="control-label">Author Name:</label>
                <input type="text" id="authorname" name="authorname" value="${config['AuthorName']}" class="form-control" placeholder="Author Name">
            </div>
            <div class="form-group">
                <label for="authorborn" class="control-label">Born:</label>
                <input type="text" id="authorborn" name="authorborn" value="${config['AuthorBorn']}" class="form-control" placeholder="Born (yyyy/mm/dd)">
            </div>
            <div class="form-group">
                <label for="authordeath" class="control-label">Died:</label>
                <input type="text" id="authordeath" name="authordeath" value="${config['AuthorDeath']}" class="form-control" placeholder="Died (yyyy/mm/dd)">
            </div>
            <div class="form-group">
                <label for="reason" class="control-label">Added by:</label>
                <input type="text" id="reason" name="reason" value="${config['Reason']}" readonly class="form-control" placeholder="Reason for inclusion">
            </div>
        <div class="form-group">
          <!--div><p>${config['About']}</p></div-->
          <label for="summernote" class="control-label">Author Description</label>
          <textarea id="summernote" name="editordata" class="form-control" rows="10" placeholder="Nothing to see here...">${config['About']}</textarea>
        </div>
            <div class="form-group">
                <label for="authorimg" class="control-label">Current Image:</label>
                <img src="${config['AuthorImg']}" class="box-shadow img-responsive" alt="${config['AuthorName']}" title="${config['AuthorName']}">
                <input type="text" id="authorimg" name="authorimg" value="" class="form-control" placeholder="New Image file or URL">
                <span class="help-block">Filenames must be full path to file or a URL, or put none to remove author image<br>Filename and URL need to end with .jpg/.jpeg/.png</span>
            </div>
        <div class="form-group">
            <table class="display table table-bordered" id="img_table">
              <thead>
                <tr>
                %for item in images:
                  <th class="bookart text-center no-sort">${item[0]}</th>
                %endfor
                </tr>
              </thead>
              <tbody>
                <tr>
                %for item in images:
                  <td class="bookart text-center"><a href="${item[1]}" target="_blank" rel="noreferrer"><img src="${item[1]}" alt="cover" class="bookcover-sm"></a><br></td>
                %endfor
                </tr>
              </tbody>
            </table>
        </div>
        <div class="form-group">
            <label for="changeCover" class="control-label">Change cover to: </label>
            <select id="changeCover" class="changeCover form-control input" name="cover">
            <option value="current" selected="selected">No change</option>
            <option value="manual">File/URL</option>
            %for item in images:
                <option value="${item[1]}"
                >${item[0]}</option>
            %endfor
            </select>
        </div>
            <div class="checkbox">
                <%
                    if config['Manual'] == "1":
                        checked = 'checked="checked"'
                    else:
                        checked = ''
                %>
<label for="manual" class="control-label">
  <input type="checkbox" id="manual" name="manual" value="1" ${checked} />
  Lock settings</label>
</div>
</fieldset>
<div class="table_wrapper_button">
  <input type="submit" value="Save changes" id="add" class="btn btn-primary">
</div>
<p>&nbsp;</p>
</div>
</form>
</%def>
<%def name="javascriptIncludes()">
  <script type="text/javascript">
    function initThisPage()

    {
        "use strict";
    }
    $(document).ready(function() {
        initThisPage();
    });
  </script>
</%def>
<html><head></head><body></body></html>
